cURL
curl --request GET \
--url https://riona.ai/api/1.1/wf/universal-profile-url \
--header 'Authorization: Bearer <token>'import requests
url = "https://riona.ai/api/1.1/wf/universal-profile-url"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://riona.ai/api/1.1/wf/universal-profile-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"code": 200,
"message": "OK"
},
"profile": {
"masterID": "1753720001767x654758777539417500",
"userID": "UCX6OQ3DkcsbYNE6H8uQQuVA",
"username": "@MrBeast",
"platform": "youtube",
"groupID": "UCX6OQ3DkcsbYNE6H8uQQuVA",
"url": "https://www.youtube.com/@MrBeast",
"name": "MrBeast",
"image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/YT:UCX6OQ3DkcsbYNE6H8uQQuVA?time=1754788439",
"description": "SUBSCRIBE FOR A COOKIE!\nNew MrBeast or MrBeast Gaming video every single Saturday at noon eastern time!\nAccomplishments:\n- Raised $20,000,000 To Plant 20,000,000 Trees\n- Removed 30,000,000 pounds of trash from the ocean\n- Helped 2,000 people walk again\n- Helped 1,000 blind people see\n- Helped 1,000 deaf people hear\n- Built wells in Africa\n- Built and gave away 100 houses\n- Adopted every dog in a shelter (twice)\n- Given millions to charity\n- Started my own snack company Feastables\n- Started my own software company Viewstats\n- Started Lunchly, a tasty, better-for-you lunch option\n- Gave away a private island (twice)\n- Gave away 1 million meals\n- I counted to 100k\n- Ran a marathon in the world's largest shoes\n- Survived 50 hours in Antarctica\n- Recreated Squid Game in real life\n- Created the largest competition show with 1000 people (Beast Games)\n- Gave $5,000,000 to one person\n- Passed T-Series to become most subscribed YouTube channel 🥹\nyou get it, I appreciate all of you so much :)\n",
"country": "united-states",
"countryCode": "US",
"city": "",
"type": "business",
"gender": "",
"age": "",
"communityStatus": "DONE",
"isBlocked": false,
"isClosed": false,
"verified": false
},
"stats": {
"followersCount": 420000000,
"avgLikes": 2593140,
"avgComments": 20119,
"avgER": 0.0263043790081952,
"avgInteractions": 2613259,
"avgViews": 109572001,
"ratingIndex": 420000000.835897,
"qualityScore": 0.832391821497334
},
"lastUpdatedISO": "2025-08-10T06:56:05.526Z",
"lastUpdated": "10-08-2025"
}
Universal Social
Get Profile by URL🔑
Get any Profile by URL for YoutTube, TikTok, Instagram, Facebook, Twitter and Telegram all in one endpoint.
GET
/
wf
/
universal-profile-url
cURL
Supported Platforms:
{
"status": {
"code": 200,
"message": "OK"
},
"profile": {
"masterID": "1753720001767x654758777539417500",
"userID": "UCX6OQ3DkcsbYNE6H8uQQuVA",
"username": "@MrBeast",
"platform": "youtube",
"groupID": "UCX6OQ3DkcsbYNE6H8uQQuVA",
"url": "https://www.youtube.com/@MrBeast",
"name": "MrBeast",
"image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/YT:UCX6OQ3DkcsbYNE6H8uQQuVA?time=1754788439",
"description": "SUBSCRIBE FOR A COOKIE!\nNew MrBeast or MrBeast Gaming video every single Saturday at noon eastern time!\nAccomplishments:\n- Raised $20,000,000 To Plant 20,000,000 Trees\n- Removed 30,000,000 pounds of trash from the ocean\n- Helped 2,000 people walk again\n- Helped 1,000 blind people see\n- Helped 1,000 deaf people hear\n- Built wells in Africa\n- Built and gave away 100 houses\n- Adopted every dog in a shelter (twice)\n- Given millions to charity\n- Started my own snack company Feastables\n- Started my own software company Viewstats\n- Started Lunchly, a tasty, better-for-you lunch option\n- Gave away a private island (twice)\n- Gave away 1 million meals\n- I counted to 100k\n- Ran a marathon in the world's largest shoes\n- Survived 50 hours in Antarctica\n- Recreated Squid Game in real life\n- Created the largest competition show with 1000 people (Beast Games)\n- Gave $5,000,000 to one person\n- Passed T-Series to become most subscribed YouTube channel 🥹\nyou get it, I appreciate all of you so much :)\n",
"country": "united-states",
"countryCode": "US",
"city": "",
"type": "business",
"gender": "",
"age": "",
"communityStatus": "DONE",
"isBlocked": false,
"isClosed": false,
"verified": false
},
"stats": {
"followersCount": 420000000,
"avgLikes": 2593140,
"avgComments": 20119,
"avgER": 0.0263043790081952,
"avgInteractions": 2613259,
"avgViews": 109572001,
"ratingIndex": 420000000.835897,
"qualityScore": 0.832391821497334
},
"lastUpdatedISO": "2025-08-10T06:56:05.526Z",
"lastUpdated": "10-08-2025"
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Supported Platforms: YouTube | TikTok | Instagram | Facebook | Twitter | Telegram
Examples of supported links:
https://www.youtube.com/@MrBeasthttps://www.youtube.com/channel/UCX6OQ3DkcsbYNE6H8uQQuVAhttps://www.tiktok.com/@khaby.lamehttps://www.instagram.com/therockhttps://www.facebook.com/Cristianohttps://www.facebook.com/81221197163https://x.com/elonmuskhttps://twitter.com/elonmuskhttps://t.me/cristiano
This is your account API Key. You can easily locate it in your account dashboard.
Response
200
OK
⌘I